DbfTableModelFactory.Column (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.shape
Class DbfTableModelFactory.Column

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.DbfTableModelFactory.Column

Enclosing class:
  DbfTableModelFactory

    public class DbfTableModelFactory.Column

extends java.lang.Object

Field Summary
`protected byte` | `decimalCount`
`protected java.lang.Object` | `defaultValue`
`protected int` | `length`
`protected java.lang.String` | `name`
`protected byte` | `type`

Constructor Summary
`DbfTableModelFactory.Column(java.lang.String definition)`
`DbfTableModelFactory.Column(java.lang.String n, byte t, byte dc, int l, java.lang.Object dv)`

Method Summary
`byte` | `getDecimalCount()`
`java.lang.Object` | `getDefaultValue()`
`int` | `getLength()`
`java.lang.String` | `getName()`
`byte` | `getType()`
`void` | `setDefaultValue(java.lang.String defaultVal)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### type

    protected byte type

### decimalCount

    protected byte decimalCount

### length

    protected int length

### defaultValue

    protected java.lang.Object defaultValue

Constructor Detail

### DbfTableModelFactory.Column

    public DbfTableModelFactory.Column(java.lang.String definition)
                                throws FormatException

Throws:
  `FormatException`

### DbfTableModelFactory.Column

    public DbfTableModelFactory.Column(java.lang.String n,
                                       byte t,
                                       byte dc,
                                       int l,
                                       java.lang.Object dv)

Method Detail

### getName

    public java.lang.String getName()

### getType

    public byte getType()

### getDecimalCount

    public byte getDecimalCount()

### getLength

    public int getLength()

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultVal)

### getDefaultValue

    public java.lang.Object getDefaultValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details